Bug 1666927 - tempest plugin problem with baremetal_introspection
Summary: tempest plugin problem with baremetal_introspection
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tempest
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 13.0 (Queens)
Assignee: Martin Kopec
QA Contact: Arx Cruz
URL:
Whiteboard:
Depends On:
Blocks: 1670498
TreeView+ depends on / blocked
 
Reported: 2019-01-17 00:08 UTC by Robin Cernin
Modified: 2019-03-14 13:34 UTC (History)
6 users (show)

Fixed In Version: openstack-tempest-18.0.0-6.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1670498 (view as bug list)
Environment:
Last Closed: 2019-03-14 13:34:20 UTC
Target Upstream Version:


Attachments (Terms of Use)
RHOS-13-output (8.94 KB, text/plain)
2019-02-26 14:56 UTC, Martin Kopec
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1812385 0 None None None 2019-01-18 13:34:56 UTC
OpenStack gerrit 631801 0 None MERGED Fix verify-config KeyError 2020-11-09 12:15:47 UTC
Red Hat Product Errata RHSA-2019:0564 0 None None None 2019-03-14 13:34:27 UTC

Description Robin Cernin 2019-01-17 00:08:45 UTC
Description of problem:

While following guide:
https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/13/html-single/openstack_integration_test_suite_guide/#sec-install-tempest-packages

tempest verify-config -o /home/stack/code/lab_configs/etc/tempest_verify.conf 

Running config verification...
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/tempest/cmd/verify_tempest_config.py", line 484, in take_action
    main(parsed_args)
  File "/usr/lib/python2.7/site-packages/tempest/cmd/verify_tempest_config.py", line 451, in main
    services = check_service_availability(os, update)
  File "/usr/lib/python2.7/site-packages/tempest/cmd/verify_tempest_config.py", line 373, in check_service_availability
    if getattr(CONF.service_available, codename_match[cfgname]):
KeyError: 'baremetal_introspection'

Version-Release number of selected component (if applicable):

OSP13
tempest 18.0.0

There is a similar bug: https://bugzilla.redhat.com/show_bug.cgi?id=1547400

How reproducible:

tempest verify-config -o /home/stack/code/lab_configs/etc/tempest_verify.conf 

Actual results:

Traceback

Expected results:

No Traceback

Additional info:

Comment 14 Martin Kopec 2019-02-26 14:56:26 UTC
Created attachment 1538843 [details]
RHOS-13-output

I am adding the output of my testing if the new package contains a fix for the issue.
Tested on all in one packstack environment without sahara service, however, I installed sahara tempest plugin because in order to reproduce the issue at least one tempest plugin has to be installed.
Result: the issue is fixed by the `fixed in version` package.

Comment 15 Arx Cruz 2019-02-26 16:44:51 UTC
I can confirm https://review.openstack.org/#/c/631801/ fix the error.

Comment 17 errata-xmlrpc 2019-03-14 13:34:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0564


Note You need to log in before you can comment on or make changes to this bug.